%define upstream_name	 Youri-Package-RPM-Generator
%define upstream_version 0.1.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:	Template-based rpm generator
License:	GPL+ or Artistic
Group:		Development/Other
Url:		http://youri.zarb.org
Source0:	http://youri.zarb.or/download/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Text::Template)
BuildRequires:  perl(URPM)
BuildRequires:  perl(File::Which)
BuildRequires:  perl-version
BuildArch:	    noarch
Requires:       perl-version

%description
YOURI stands for "Youri Offers an Upload & Repository Infrastucture". It aims
to build tools making management of a coherent set of packages easier.

This module generates rpm packages from a spec file template, for testing
purposes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc Changes README META.yml
%{perl_vendorlib}/Youri
%{_mandir}/man3/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.1.3-2.mga3
+ Revision: 375333
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 guillomovitch <guillomovitch> 0.1.3-1.mga3
+ Revision: 338310
- new version

* Sat Jun 11 2011 spuhler <spuhler> 0.1.1-2.mga2
+ Revision: 103893
- increase rel for rebuild

* Fri Jan 28 2011 jquelin <jquelin> 0.1.1-1.mga1
+ Revision: 42956
- update %%doc
- adding missing buildrequires:
- update to 0.1.1

* Sat Jan 22 2011 jquelin <jquelin> 0.1.0-6.mga1
+ Revision: 31521
- mageia rebuild
- imported package perl-Youri-Package-RPM-Generator

